<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Booting over SSH with a snapshot</h1>

<pre>
┌───────────────┐  ssh   ┌───────────────┐
│ fedora-33.img │───────▶│ qcow2 file    │───────▶ qemu
└───────────────┘        └───────────────┘
 remote server                    local machine
</pre>

<br/><br/>

<pre>
qemu-img create -f qcow2 \
         -b <b>ssh://remote/path/to/fedora-33.img</b> snapshot.qcow2
qemu -drive file=<b>snapshot.qcow2</b> ...
</pre>
